<?php
	session_start();
	
	require_once("db/db.php");	
	require_once("common/common.php");
	
	ini_set('session.gc_maxlifetime', 99999999); //设置时间 永不过期
	
	//设置统一语言格式
	header("Content-type: text/html; charset=gb2312"); 
	
	
	$strRoomNo=trim($_REQUEST["rmid"]);
	$strItemNo=trim($_REQUEST["itmno"]);
	$intItemCount=trim($_REQUEST["selnum"]);
	$strItemText1=trim($_REQUEST["itmtxt"]);
	
	$strItemText= iconv('utf-8','gb2312',$strItemText1);
	
	if(strlen($intItemCount)<1)
	{
		$intItemCount='0';
	}
		
	$strUserName=trim($_SESSION['username']);
	$strChainNo=trim($_SESSION["ChainNo"]);
	
	$strRetID="*0*";
	
	//消费入账
	if(strlen($strRoomNo)>0 && strlen($strItemNo)>0 && $intItemCount<>0)
	{
		$sql=sprintf("EXECUTE TRS_RoomAddScoreItem '%s','%s','%s',%s,'%s','%s'",$strChainNo,$strRoomNo,$strItemNo,$intItemCount,$strUserName,$strItemText);
		$result = querySql($sql);
		
		$strRetID="*1*";
	}
	
	closeDb();
	echo $strRetID;	//成功

?>


